Summary: 	A GNU arbitrary precision library.
Name: 		gmp
Version: 	4.2.2
Release: 	1
URL: 		http://www.gnu.org/
Source: 	ftp://ftp.gnu.org/pub/gnu/gmp/gmp-%{version}.tar.bz2
Copyright: 	LGPL 
Group: 		Libraries
BuildRoot: 	%{_tmppath}/gmp-root

%description
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and floating
point numbers. GNU MP is designed for speed, for both small and very
large operands. GNU MP is fast because it uses fullwords as the basic
arithmetic type, it uses fast algorithms, it carefully optimizes
assembly code for many CPUs' most common inner loops, and it generally
emphasizes speed over simplicity/elegance in its operations.

Install the gmp package if you need a fast arbitrary precision
library.

%package 	devel
Summary: 	Development tools for the GNU MP arbitrary precision library.
Group: 		Development

%description	devel
The static libraries, header files and documentation for using the GNU
MP arbitrary precision library in applications.

If you want to develop applications which will use the GNU MP library,
you'll need to install the gmp-devel package.  You'll also need to
install the gmp package.

%prep
%setup -q

%build
%configure --enable-cxx --enable-mpfr --enable-mpbsd
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -m 644 gmp-mparam.h ${RPM_BUILD_ROOT}%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_includedir}
